Package org.gradle.external.javadoc

## Class StandardJavadocDocletOptions

- java.lang.Object
- - org.gradle.external.javadoc.CoreJavadocOptions
  - - org.gradle.external.javadoc.StandardJavadocDocletOptions

- All Implemented Interfaces:
    `MinimalJavadocOptions`

      public class StandardJavadocDocletOptions
      extends CoreJavadocOptions
      implements MinimalJavadocOptions

  Provides the options for the standard Javadoc doclet.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `JavadocOptionFileOption<Boolean>` | `noTimestamp` |

    - ### Fields inherited from class org.gradle.external.javadoc.CoreJavadocOptions

      `optionFile`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardJavadocDocletOptions()` |
    `StandardJavadocDocletOptions​(org.gradle.external.javadoc.internal.JavadocOptionFile javadocOptionFile)` |
    `StandardJavadocDocletOptions​(MinimalJavadocOptions original)` |
    `StandardJavadocDocletOptions​(StandardJavadocDocletOptions original)` |
    `StandardJavadocDocletOptions​(StandardJavadocDocletOptions original, org.gradle.external.javadoc.internal.JavadocOptionFile optionFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StandardJavadocDocletOptions` | `author()` |
    `StandardJavadocDocletOptions` | `author​(boolean author)` |
    `StandardJavadocDocletOptions` | `bottom​(String bottom)` |
    `StandardJavadocDocletOptions` | `charSet​(String charSet)` |
    `StandardJavadocDocletOptions` | `destinationDirectory​(File destinationDirectory)` |
    `StandardJavadocDocletOptions` | `docEncoding​(String docEncoding)` |
    `StandardJavadocDocletOptions` | `docFilesSubDirs()` |
    `StandardJavadocDocletOptions` | `docFilesSubDirs​(boolean docFilesSubDirs)` |
    `StandardJavadocDocletOptions` | `docTitle​(String docTitle)` |
    `StandardJavadocDocletOptions` | `excludeDocFilesSubDir​(String... excludeDocFilesSubDir)` |
    `StandardJavadocDocletOptions` | `excludeDocFilesSubDir​(List<String> excludeDocFilesSubDir)` |
    `StandardJavadocDocletOptions` | `footer​(String footer)` |
    `String` | `getBottom()` | -bottom text
    `String` | `getCharSet()` | -charset name Specifies the HTML character set for this document.
    `File` | `getDestinationDirectory()` | -d directory
    `String` | `getDocEncoding()` | -docencoding name
    `String` | `getDocTitle()` | -doctitle title
    `List<String>` | `getExcludeDocFilesSubDir()` | -excludedocfilessubdir name1:name2...
    `String` | `getFooter()` | -footer footer
    `Map<String,​List<String>>` | `getGroups()` | -group groupheading packagepattern:packagepattern:...
    `String` | `getHeader()` | -header header
    `File` | `getHelpFile()` | -helpfile path/filename
    `List<String>` | `getLinks()` | -link extdocURL
    `List<JavadocOfflineLink>` | `getLinksOffline()` | -linkoffline extdocURL packagelistLoc
    `List<String>` | `getNoQualifiers()` | -noqualifier all | packagename1:packagename2:...
    `File` | `getStylesheetFile()` | -stylesheetfile path\filename
    `List<File>` | `getTagletPath()` | -tagletpath tagletpathlist.
    `List<String>` | `getTaglets()` | -taglet class.
    `List<String>` | `getTags()` | -tag tagname:Xaoptcmf:"taghead".
    `String` | `getWindowTitle()` | -windowtitle title
    `StandardJavadocDocletOptions` | `group​(String groupName, String... packagePatterns)` |
    `StandardJavadocDocletOptions` | `group​(String groupName, List<String> packagePatterns)` |
    `StandardJavadocDocletOptions` | `group​(Map<String,​List<String>> groups)` |
    `StandardJavadocDocletOptions` | `groupsFile​(File groupsFile)` |
    `StandardJavadocDocletOptions` | `header​(String header)` |
    `StandardJavadocDocletOptions` | `helpFile​(File helpFile)` |
    `boolean` | `isAuthor()` | -author
    `boolean` | `isDocFilesSubDirs()` | -docfilessubdirs.
    `boolean` | `isKeyWords()` | -keywords.
    `boolean` | `isLinkSource()` | -linksource
    `boolean` | `isNoComment()` | -nocomment.
    `boolean` | `isNoDeprecated()` | -nodeprecated
    `boolean` | `isNoDeprecatedList()` | -nodeprecatedlist
    `boolean` | `isNoHelp()` | -nohelp
    `boolean` | `isNoIndex()` | -noindex
    `boolean` | `isNoNavBar()` | -nonavbar
    `boolean` | `isNoSince()` | -nosince
    `boolean` | `isNoTimestamp()` |
    `boolean` | `isNoTree()` | -notree
    `boolean` | `isSerialWarn()` | -serialwarn
    `boolean` | `isSplitIndex()` | -splitindex
    `boolean` | `isUse()` | -use
    `boolean` | `isVersion()` | -version
    `StandardJavadocDocletOptions` | `keyWords()` |
    `StandardJavadocDocletOptions` | `keyWords​(boolean keyWords)` |
    `StandardJavadocDocletOptions` | `links​(String... links)` |
    `StandardJavadocDocletOptions` | `linksFile​(File linksFile)` |
    `StandardJavadocDocletOptions` | `linksOffline​(String extDocUrl, String packageListLoc)` |
    `StandardJavadocDocletOptions` | `linksOfflineFile​(File linksOfflineFile)` |
    `StandardJavadocDocletOptions` | `linkSource()` |
    `StandardJavadocDocletOptions` | `linkSource​(boolean linkSource)` |
    `StandardJavadocDocletOptions` | `noComment()` |
    `StandardJavadocDocletOptions` | `noComment​(boolean noComment)` |
    `StandardJavadocDocletOptions` | `noDeprecated()` |
    `StandardJavadocDocletOptions` | `noDeprecated​(boolean nodeprecated)` |
    `StandardJavadocDocletOptions` | `noDeprecatedList()` |
    `StandardJavadocDocletOptions` | `noDeprecatedList​(boolean noDeprecatedList)` |
    `StandardJavadocDocletOptions` | `noHelp()` |
    `StandardJavadocDocletOptions` | `noHelp​(boolean noHelp)` |
    `StandardJavadocDocletOptions` | `noIndex()` |
    `StandardJavadocDocletOptions` | `noIndex​(boolean noIndex)` |
    `StandardJavadocDocletOptions` | `noNavBar()` |
    `StandardJavadocDocletOptions` | `noNavBar​(boolean noNavBar)` |
    `StandardJavadocDocletOptions` | `noQualifier​(List<String> noQualifiers)` |
    `StandardJavadocDocletOptions` | `noQualifiers​(String... noQualifiers)` |
    `StandardJavadocDocletOptions` | `noSince()` |
    `StandardJavadocDocletOptions` | `noSince​(boolean noSince)` |
    `StandardJavadocDocletOptions` | `noTimestamp()` |
    `StandardJavadocDocletOptions` | `noTimestamp​(boolean noTimestamp)` |
    `StandardJavadocDocletOptions` | `noTree()` |
    `StandardJavadocDocletOptions` | `noTree​(boolean noTree)` |
    `StandardJavadocDocletOptions` | `serialWarn()` |
    `StandardJavadocDocletOptions` | `serialWarn​(boolean serialWarn)` |
    `void` | `setAuthor​(boolean author)` |
    `void` | `setBottom​(String bottom)` |
    `void` | `setCharSet​(String charSet)` |
    `void` | `setDestinationDirectory​(File directory)` |
    `void` | `setDocEncoding​(String docEncoding)` |
    `void` | `setDocFilesSubDirs​(boolean docFilesSubDirs)` |
    `void` | `setDocTitle​(String docTitle)` |
    `void` | `setExcludeDocFilesSubDir​(List<String> excludeDocFilesSubDir)` |
    `void` | `setFooter​(String footer)` |
    `void` | `setGroups​(Map<String,​List<String>> groups)` |
    `void` | `setHeader​(String header)` |
    `void` | `setHelpFile​(File helpFile)` |
    `void` | `setKeyWords​(boolean keyWords)` |
    `void` | `setLinks​(List<String> links)` |
    `void` | `setLinksOffline​(List<JavadocOfflineLink> linksOffline)` |
    `void` | `setLinkSource​(boolean linkSource)` |
    `void` | `setNoComment​(boolean noComment)` |
    `void` | `setNoDeprecated​(boolean noDeprecated)` |
    `void` | `setNoDeprecatedList​(boolean noDeprecatedList)` |
    `void` | `setNoHelp​(boolean noHelp)` |
    `void` | `setNoIndex​(boolean noIndex)` |
    `void` | `setNoNavBar​(boolean noNavBar)` |
    `void` | `setNoQualifiers​(List<String> noQualifiers)` |
    `void` | `setNoSince​(boolean noSince)` |
    `void` | `setNoTimestamp​(boolean noTimestamp)` |
    `void` | `setNoTree​(boolean noTree)` |
    `void` | `setSerialWarn​(boolean serialWarn)` |
    `void` | `setSplitIndex​(boolean splitIndex)` |
    `void` | `setStylesheetFile​(File stylesheetFile)` |
    `void` | `setTagletPath​(List<File> tagletPath)` |
    `void` | `setTaglets​(List<String> taglets)` |
    `void` | `setTags​(List<String> tags)` |
    `void` | `setUse​(boolean use)` |
    `void` | `setVersion​(boolean version)` |
    `void` | `setWindowTitle​(String windowTitle)` |
    `StandardJavadocDocletOptions` | `splitIndex()` |
    `StandardJavadocDocletOptions` | `splitIndex​(boolean splitIndex)` |
    `StandardJavadocDocletOptions` | `stylesheetFile​(File stylesheetFile)` |
    `StandardJavadocDocletOptions` | `tagletPath​(File... tagletPath)` |
    `StandardJavadocDocletOptions` | `tagletPath​(List<File> tagletPath)` |
    `StandardJavadocDocletOptions` | `taglets​(String... taglets)` |
    `StandardJavadocDocletOptions` | `taglets​(List<String> taglets)` |
    `StandardJavadocDocletOptions` | `tags​(String... tags)` |
    `StandardJavadocDocletOptions` | `tags​(List<String> tags)` |
    `StandardJavadocDocletOptions` | `tagsFile​(File tagsFile)` |
    `StandardJavadocDocletOptions` | `use()` |
    `StandardJavadocDocletOptions` | `use​(boolean use)` |
    `StandardJavadocDocletOptions` | `version()` |
    `StandardJavadocDocletOptions` | `version​(boolean version)` |
    `StandardJavadocDocletOptions` | `windowTitle​(String windowTitle)` |

    - ### Methods inherited from class org.gradle.external.javadoc.CoreJavadocOptions

      `addBooleanOption, addBooleanOption, addEnumOption, addEnumOption, addFileOption, addFileOption, addMultilineMultiValueOption, addMultilineStringsOption, addOption, addPathOption, addPathOption, addStringOption, addStringOption, addStringsOption, addStringsOption, bootClasspath, breakIterator, breakIterator, classpath, classpath, contributeCommandLineOptions, doclet, docletpath, encoding, extDirs, getBootClasspath, getClasspath, getDoclet, getDocletpath, getEncoding, getExtDirs, getJFlags, getLocale, getMemberLevel, getModulePath, getOptionFiles, getOutputLevel, getOverview, getSource, getSourceNames, isBreakIterator, isVerbose, jFlags, locale, modulePath, optionFiles, overview, quiet, setBootClasspath, setBreakIterator, setClasspath, setDoclet, setDocletpath, setEncoding, setExtDirs, setJFlags, setLocale, setMemberLevel, setModulePath, setOptionFiles, setOutputLevel, setOverview, setSource, setSourceNames, showAll, showFromPackage, showFromPrivate, showFromProtected, showFromPublic, source, sourceNames, verbose, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.external.javadoc.MinimalJavadocOptions

      `bootClasspath, breakIterator, breakIterator, classpath, classpath, contributeCommandLineOptions, doclet, docletpath, encoding, extDirs, getBootClasspath, getClasspath, getDoclet, getDocletpath, getEncoding, getExtDirs, getJFlags, getLocale, getMemberLevel, getModulePath, getOptionFiles, getOutputLevel, getOverview, getSource, getSourceNames, isBreakIterator, isVerbose, jFlags, locale, modulePath, optionFiles, overview, quiet, setBootClasspath, setBreakIterator, setClasspath, setDoclet, setDocletpath, setEncoding, setExtDirs, setJFlags, setLocale, setMemberLevel, setModulePath, setOptionFiles, setOutputLevel, setOverview, setSource, setSourceNames, showAll, showFromPackage, showFromPrivate, showFromProtected, showFromPublic, source, sourceNames, verbose, write`

- - ### Field Detail

    - #### noTimestamp

          public final JavadocOptionFileOption<Boolean> noTimestamp

  - ### Constructor Detail

    - #### StandardJavadocDocletOptions

          public StandardJavadocDocletOptions()

    - #### StandardJavadocDocletOptions

          public StandardJavadocDocletOptions​(org.gradle.external.javadoc.internal.JavadocOptionFile javadocOptionFile)

    - #### StandardJavadocDocletOptions

          public StandardJavadocDocletOptions​(StandardJavadocDocletOptions original)

    - #### StandardJavadocDocletOptions

          public StandardJavadocDocletOptions​(StandardJavadocDocletOptions original,
                                              org.gradle.external.javadoc.internal.JavadocOptionFile optionFile)

    - #### StandardJavadocDocletOptions

          public StandardJavadocDocletOptions​(MinimalJavadocOptions original)

  - ### Method Detail

    - #### getDestinationDirectory

          public File getDestinationDirectory()

      -d directory

      Specifies the destination directory where javadoc saves the generated HTML files. (The "d" means "destination.") Omitting this option causes the files to be saved to the current directory. The value directory can be absolute, or relative to the current working directory. As of 1.4, the destination directory is automatically created when javadoc is run. For example, the following generates the documentation for the package com.mypackage and saves the results in the C:/user/doc/ directory:

      javadoc -d /user/doc com.mypackage

      Specified by:
        `getDestinationDirectory` in interface `MinimalJavadocOptions`

    - #### setDestinationDirectory

          public void setDestinationDirectory​(File directory)

      Specified by:
        `setDestinationDirectory` in interface `MinimalJavadocOptions`

    - #### destinationDirectory

          public StandardJavadocDocletOptions destinationDirectory​(File destinationDirectory)

      Specified by:
        `destinationDirectory` in interface `MinimalJavadocOptions`

    - #### isUse

          @Input
          public boolean isUse()

      -use

      Includes one "Use" page for each documented class and package. The page describes what packages, classes, methods, constructors and fields use any API of the given class or package. Given class C, things that use class C would include subclasses of C, fields declared as C, methods that return C, and methods and constructors with parameters of type C. For example, let's look at what might appear on the "Use" page for String. The getName() method in the java.awt.Font class returns type String. Therefore, getName() uses String, and you will find that method on the "Use" page for String.

      Note that this documents only uses of the API, not the implementation. If a method uses String in its implementation but does not take a string as an argument or return a string, that is not considered a "use" of String.

      You can access the generated "Use" page by first going to the class or package, then clicking on the "Use" link in the navigation bar.

    - #### setUse

          public void setUse​(boolean use)

    - #### use

          public StandardJavadocDocletOptions use​(boolean use)

    - #### use

          public StandardJavadocDocletOptions use()

    - #### isVersion

          @Input
          public boolean isVersion()

      -version

      Includes the @version text in the generated docs. This text is omitted by default. To tell what version of the Javadoc tool you are using, use the -J-version option.

    - #### setVersion

          public void setVersion​(boolean version)

    - #### version

          public StandardJavadocDocletOptions version​(boolean version)

    - #### version

          public StandardJavadocDocletOptions version()

    - #### isAuthor

          @Input
          public boolean isAuthor()

      -author

      Includes the @author text in the generated docs.

    - #### setAuthor

          public void setAuthor​(boolean author)

    - #### author

          public StandardJavadocDocletOptions author​(boolean author)

    - #### author

          public StandardJavadocDocletOptions author()

    - #### isSplitIndex

          @Input
          public boolean isSplitIndex()

      -splitindex

      Splits the index file into multiple files, alphabetically, one file per letter, plus a file for any index entries that start with non-alphabetical characters.

    - #### setSplitIndex

          public void setSplitIndex​(boolean splitIndex)

    - #### splitIndex

          public StandardJavadocDocletOptions splitIndex​(boolean splitIndex)

    - #### splitIndex

          public StandardJavadocDocletOptions splitIndex()

    - #### getWindowTitle

          public String getWindowTitle()

      -windowtitle title

      Specifies the title to be placed in the HTML <title> tag. This appears in the window title and in any browser bookmarks (favorite places) that someone creates for this page. This title should not contain any HTML tags, as the browser will not properly interpret them. Any internal quotation marks within title may have to be escaped. If -windowtitle is omitted, the Javadoc tool uses the value of -doctitle for this option. javadoc -windowtitle "Java 2 Platform" com.mypackage

      Specified by:
        `getWindowTitle` in interface `MinimalJavadocOptions`

    - #### setWindowTitle

          public void setWindowTitle​(String windowTitle)

      Specified by:
        `setWindowTitle` in interface `MinimalJavadocOptions`

    - #### windowTitle

          public StandardJavadocDocletOptions windowTitle​(String windowTitle)

      Specified by:
        `windowTitle` in interface `MinimalJavadocOptions`

    - #### getHeader

          public String getHeader()

      -header header

      Specifies the header text to be placed at the top of each output file. The header will be placed to the right of the upper navigation bar. header may contain HTML tags and white space, though if it does, it must be enclosed in quotes. Any internal quotation marks within header may have to be escaped. javadoc -header "Java 2 Platform
      v1.4" com.mypackage

      Specified by:
        `getHeader` in interface `MinimalJavadocOptions`

    - #### setHeader

          public void setHeader​(String header)

      Specified by:
        `setHeader` in interface `MinimalJavadocOptions`

    - #### header

          public StandardJavadocDocletOptions header​(String header)

      Specified by:
        `header` in interface `MinimalJavadocOptions`

    - #### getDocTitle

          @Nullable
          @Optional
          @Input
          public String getDocTitle()

      -doctitle title

      Specifies the title to be placed near the top of the overview summary file. The title will be placed as a centered, level-one heading directly beneath the upper navigation bar. The title may contain HTML tags and white space, though if it does, it must be enclosed in quotes. Any internal quotation marks within title may have to be escaped. javadoc -doctitle "Java<sup><font size=\"-2\">TM</font></sup>" com.mypackage

    - #### setDocTitle

          public void setDocTitle​(@Nullable
                                  String docTitle)

    - #### docTitle

          public StandardJavadocDocletOptions docTitle​(String docTitle)

    - #### getFooter

          @Nullable
          @Optional
          @Input
          public String getFooter()

      -footer footer

      Specifies the footer text to be placed at the bottom of each output file. The footer will be placed to the right of the lower navigation bar. footer may contain HTML tags and white space, though if it does, it must be enclosed in quotes. Any internal quotation marks within footer may have to be escaped.

    - #### setFooter

          public void setFooter​(@Nullable
                                String footer)

    - #### footer

          public StandardJavadocDocletOptions footer​(String footer)

    - #### getBottom

          @Nullable
          @Optional
          @Input
          public String getBottom()

      -bottom text

      Specifies the text to be placed at the bottom of each output file. The text will be placed at the bottom of the page, below the lower navigation bar. The text may contain HTML tags and white space, though if it does, it must be enclosed in quotes. Any internal quotation marks within text may have to be escaped.

    - #### setBottom

          public void setBottom​(@Nullable
                                String bottom)

    - #### bottom

          public StandardJavadocDocletOptions bottom​(String bottom)

    - #### getLinks

          @Nullable
          @Optional
          @Input
          public List<String> getLinks()

      -link extdocURL

      Creates links to existing javadoc-generated documentation of external referenced classes. It takes one argument:

      extdocURL is the absolute or relative URL of the directory containing the external javadoc-generated documentation you want to link to. Examples are shown below. The package-list file must be found in this directory (otherwise, use -linkoffline). The Javadoc tool reads the package names from the package-list file and then links to those packages at that URL. When the Javadoc tool is run, the extdocURL value is copied literally into the <A HREF> links that are created. Therefore, extdocURL must be the URL to the directory, not to a file. You can use an absolute link for extdocURL to enable your docs to link to a document on any website, or can use a relative link to link only to a relative location. If relative, the value you pass in should be the relative path from the destination directory (specified with -d) to the directory containing the packages being linked to.

      When specifying an absolute link you normally use an http: link. However, if you want to link to a file system that has no web server, you can use a file: link -- however, do this only if everyone wanting to access the generated documentation shares the same file system.

    - #### setLinks

          public void setLinks​(@Nullable
                               List<String> links)

    - #### links

          public StandardJavadocDocletOptions links​(String... links)

    - #### linksFile

          public StandardJavadocDocletOptions linksFile​(File linksFile)

    - #### getLinksOffline

          @Nullable
          @Optional
          @Input
          public List<JavadocOfflineLink> getLinksOffline()

      -linkoffline extdocURL packagelistLoc

      This option is a variation of -link; they both create links to javadoc-generated documentation for external referenced classes. Use the -linkoffline option when linking to a document on the web when the Javadoc tool itself is "offline" -- that is, it cannot access the document through a web connection. More specifically, use -linkoffline if the external document's package-list file is not accessible or does not exist at the extdocURL location but does exist at a different location, which can be specified by packageListLoc (typically local). Thus, if extdocURL is accessible only on the World Wide Web, -linkoffline removes the constraint that the Javadoc tool have a web connection when generating the documentation.

      Another use is as a "hack" to update docs: After you have run javadoc on a full set of packages, then you can run javadoc again on only a smaller set of changed packages, so that the updated files can be inserted back into the original set. Examples are given below.

      The -linkoffline option takes two arguments -- the first for the string to be embedded in the <a href> links, the second telling it where to find package-list:

      extdocURL is the absolute or relative URL of the directory containing the external javadoc-generated documentation you want to link to. If relative, the value should be the relative path from the destination directory (specified with -d) to the root of the packages being linked to. For more details, see extdocURL in the -link option. packagelistLoc is the path or URL to the directory containing the package-list file for the external documentation. This can be a URL (http: or file:) or file path, and can be absolute or relative. If relative, make it relative to the current directory from where javadoc was run. Do not include the package-list filename.

    - #### setLinksOffline

          public void setLinksOffline​(@Nullable
                                      List<JavadocOfflineLink> linksOffline)

    - #### linksOffline

          public StandardJavadocDocletOptions linksOffline​(String extDocUrl,
                                                           String packageListLoc)

    - #### linksOfflineFile

          public StandardJavadocDocletOptions linksOfflineFile​(File linksOfflineFile)

    - #### isLinkSource

          @Input
          public boolean isLinkSource()

      -linksource

      Creates an HTML version of each source file (with line numbers) and adds links to them from the standard HTML documentation. Links are created for classes, interfaces, constructors, methods and fields whose declarations are in a source file. Otherwise, links are not created, such as for default constructors and generated classes. This option exposes all private implementation details in the included source files, including private classes, private fields, and the bodies of private methods, regardless of the -public, -package, -protected and -private options. Unless you also use the -private option, not all private classes or interfaces will necessarily be accessible via links.

      Each link appears on the name of the identifier in its declaration. For example, the link to the source code of the Button class would be on the word "Button":

      public class Button extends Component implements Accessible and the link to the source code of the getLabel() method in the Button class would be on the word "getLabel": public String getLabel()

    - #### setLinkSource

          public void setLinkSource​(boolean linkSource)

    - #### linkSource

          public StandardJavadocDocletOptions linkSource​(boolean linkSource)

    - #### linkSource

          public StandardJavadocDocletOptions linkSource()

    - #### getGroups

          @Nullable
          @Optional
          @Input
          public Map<String,​List<String>> getGroups()

      -group groupheading packagepattern:packagepattern:...

      Separates packages on the overview page into whatever groups you specify, one group per table. You specify each group with a different -group option. The groups appear on the page in the order specified on the command line; packages are alphabetized within a group. For a given -group option, the packages matching the list of packagepattern expressions appear in a table with the heading groupheading.

      groupheading can be any text, and can include white space. This text is placed in the table heading for the group. packagepattern can be any package name, or can be the start of any package name followed by an asterisk (*). The asterisk is a wildcard meaning "match any characters". This is the only wildcard allowed. Multiple patterns can be included in a group by separating them with colons (:).

      NOTE: If using an asterisk in a pattern or pattern list, the pattern list must be inside quotes, such as "java.lang*:java.util"

      If you do not supply any -group option, all packages are placed in one group with the heading "Packages". If the all groups do not include all documented packages, any leftover packages appear in a separate group with the heading "Other Packages".

      For example, the following option separates the four documented packages into core, extension and other packages. Notice the trailing "dot" does not appear in "java.lang*" -- including the dot, such as "java.lang.*" would omit the java.lang package.

      javadoc -group "Core Packages" "java.lang*:java.util" -group "Extension Packages" "javax.*" java.lang java.lang.reflect java.util javax.servlet java.new

      This results in the groupings:

      Core Packages
      java.lang
      java.lang.reflect
      java.util

      Extension Packages
      javax.servlet

      Other Packages
      java.new

    - #### setGroups

          public void setGroups​(@Nullable
                                Map<String,​List<String>> groups)

    - #### group

          public StandardJavadocDocletOptions group​(Map<String,​List<String>> groups)

    - #### group

          public StandardJavadocDocletOptions group​(String groupName,
                                                    List<String> packagePatterns)

    - #### group

          public StandardJavadocDocletOptions group​(String groupName,
                                                    String... packagePatterns)

    - #### groupsFile

          public StandardJavadocDocletOptions groupsFile​(File groupsFile)

    - #### isNoDeprecated

          @Input
          public boolean isNoDeprecated()

      -nodeprecated

      Prevents the generation of any deprecated API at all in the documentation. This does what -nodeprecatedlist does, plus it does not generate any deprecated API throughout the rest of the documentation. This is useful when writing code and you don't want to be distracted by the deprecated code.

    - #### setNoDeprecated

          public void setNoDeprecated​(boolean noDeprecated)

    - #### noDeprecated

          public StandardJavadocDocletOptions noDeprecated​(boolean nodeprecated)

    - #### noDeprecated

          public StandardJavadocDocletOptions noDeprecated()

    - #### isNoDeprecatedList

          @Input
          public boolean isNoDeprecatedList()

      -nodeprecatedlist

      Prevents the generation of the file containing the list of deprecated APIs (deprecated-list.html) and the link in the navigation bar to that page. (However, javadoc continues to generate the deprecated API throughout the rest of the document.) This is useful if your source code contains no deprecated API, and you want to make the navigation bar cleaner.

    - #### setNoDeprecatedList

          public void setNoDeprecatedList​(boolean noDeprecatedList)

    - #### noDeprecatedList

          public StandardJavadocDocletOptions noDeprecatedList​(boolean noDeprecatedList)

    - #### noDeprecatedList

          public StandardJavadocDocletOptions noDeprecatedList()

    - #### isNoSince

          @Input
          public boolean isNoSince()

      -nosince

      Omits from the generated docs the "Since" sections associated with the @since tags.

    - #### setNoSince

          public void setNoSince​(boolean noSince)

    - #### noSince

          public StandardJavadocDocletOptions noSince​(boolean noSince)

    - #### noSince

          public StandardJavadocDocletOptions noSince()

    - #### isNoTree

          @Input
          public boolean isNoTree()

      -notree

      Omits the class/interface hierarchy pages from the generated docs. These are the pages you reach using the "Tree" button in the navigation bar. The hierarchy is produced by default.

    - #### setNoTree

          public void setNoTree​(boolean noTree)

    - #### noTree

          public StandardJavadocDocletOptions noTree​(boolean noTree)

    - #### noTree

          public StandardJavadocDocletOptions noTree()

    - #### isNoIndex

          @Input
          public boolean isNoIndex()

      -noindex

      Omits the index from the generated docs. The index is produced by default.

    - #### setNoIndex

          public void setNoIndex​(boolean noIndex)

    - #### noIndex

          public StandardJavadocDocletOptions noIndex​(boolean noIndex)

    - #### noIndex

          public StandardJavadocDocletOptions noIndex()

    - #### isNoHelp

          @Input
          public boolean isNoHelp()

      -nohelp

      Omits the HELP link in the navigation bars at the top and bottom of each page of output.

    - #### setNoHelp

          public void setNoHelp​(boolean noHelp)

    - #### noHelp

          public StandardJavadocDocletOptions noHelp​(boolean noHelp)

    - #### noHelp

          public StandardJavadocDocletOptions noHelp()

    - #### isNoNavBar

          @Input
          public boolean isNoNavBar()

      -nonavbar

      Prevents the generation of the navigation bar, header and footer, otherwise found at the top and bottom of the generated pages. Has no affect on the "bottom" option. The -nonavbar option is useful when you are interested only in the content and have no need for navigation, such as converting the files to PostScript or PDF for print only.

    - #### setNoNavBar

          public void setNoNavBar​(boolean noNavBar)

    - #### noNavBar

          public StandardJavadocDocletOptions noNavBar​(boolean noNavBar)

    - #### noNavBar

          public StandardJavadocDocletOptions noNavBar()

    - #### getHelpFile

          @Nullable
          @Optional
          @PathSensitive(NAME_ONLY)
          @InputFile
          public File getHelpFile()

      -helpfile path/filename

      Specifies the path of an alternate help file path\filename that the HELP link in the top and bottom navigation bars link to. Without this option, the Javadoc tool automatically creates a help file help-doc.html that is hard-coded in the Javadoc tool. This option enables you to override this default. The filename can be any name and is not restricted to help-doc.html -- the Javadoc tool will adjust the links in the navigation bar accordingly. For example:

      javadoc -helpfile C:/user/myhelp.html java.awt

    - #### setHelpFile

          public void setHelpFile​(@Nullable
                                  File helpFile)

    - #### helpFile

          public StandardJavadocDocletOptions helpFile​(File helpFile)

    - #### getStylesheetFile

          @Nullable
          @Optional
          @PathSensitive(NAME_ONLY)
          @InputFile
          public File getStylesheetFile()

      -stylesheetfile path\filename

      Specifies the path of an alternate HTML stylesheet file. Without this option, the Javadoc tool automatically creates a stylesheet file stylesheet.css that is hard-coded in the Javadoc tool. This option enables you to override this default. The filename can be any name and is not restricted to stylesheet.css. For example:

      javadoc -stylesheetfile C:/user/mystylesheet.css com.mypackage

    - #### setStylesheetFile

          public void setStylesheetFile​(@Nullable
                                        File stylesheetFile)

    - #### stylesheetFile

          public StandardJavadocDocletOptions stylesheetFile​(File stylesheetFile)

    - #### isSerialWarn

          @Input
          public boolean isSerialWarn()

      -serialwarn

      Generates compile-time warnings for missing @serial tags. By default, Javadoc 1.2.2 (and later versions) generates no serial warnings. (This is a reversal from earlier versions.) Use this option to display the serial warnings, which helps to properly document default serializable fields and writeExternal methods.

    - #### setSerialWarn

          public void setSerialWarn​(boolean serialWarn)

    - #### serialWarn

          public StandardJavadocDocletOptions serialWarn​(boolean serialWarn)

    - #### serialWarn

          public StandardJavadocDocletOptions serialWarn()

    - #### getCharSet

          @Nullable
          @Optional
          @Input
          public String getCharSet()

      -charset name Specifies the HTML character set for this document. The name should be a preferred MIME name as given in the IANA Registry. For example:

      javadoc -charset "iso-8859-1" mypackage

      would insert the following line in the head of every generated page:

      <META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">

      This META tag is described in the HTML standard. (4197265 and 4137321)

      Also see -encoding and -docencoding.

    - #### setCharSet

          public void setCharSet​(@Nullable
                                 String charSet)

    - #### charSet

          public StandardJavadocDocletOptions charSet​(String charSet)

    - #### getDocEncoding

          @Nullable
          @Optional
          @Input
          public String getDocEncoding()

      -docencoding name

      Specifies the encoding of the generated HTML files. The name should be a preferred MIME name as given in the IANA Registry. If you omit this option but use -encoding, then the encoding of the generated HTML files is determined by -encoding. Example:

      % javadoc -docencoding "ISO-8859-1" mypackage

      Also see -encoding and -charset.

    - #### setDocEncoding

          public void setDocEncoding​(@Nullable
                                     String docEncoding)

    - #### docEncoding

          public StandardJavadocDocletOptions docEncoding​(String docEncoding)

    - #### isKeyWords

          @Input
          public boolean isKeyWords()

      -keywords.

    - #### setKeyWords

          public void setKeyWords​(boolean keyWords)

    - #### keyWords

          public StandardJavadocDocletOptions keyWords​(boolean keyWords)

    - #### keyWords

          public StandardJavadocDocletOptions keyWords()

    - #### getTags

          @Nullable
          @Optional
          @Input
          public List<String> getTags()

      -tag tagname:Xaoptcmf:"taghead".

    - #### setTags

          public void setTags​(@Nullable
                              List<String> tags)

    - #### tags

          public StandardJavadocDocletOptions tags​(List<String> tags)

    - #### tags

          public StandardJavadocDocletOptions tags​(String... tags)

    - #### tagsFile

          public StandardJavadocDocletOptions tagsFile​(File tagsFile)

    - #### getTaglets

          @Nullable
          @Optional
          @Input
          public List<String> getTaglets()

      -taglet class.

    - #### setTaglets

          public void setTaglets​(@Nullable
                                 List<String> taglets)

    - #### taglets

          public StandardJavadocDocletOptions taglets​(List<String> taglets)

    - #### taglets

          public StandardJavadocDocletOptions taglets​(String... taglets)

    - #### getTagletPath

          @Nullable
          @Optional
          @Classpath
          public List<File> getTagletPath()

      -tagletpath tagletpathlist.

    - #### setTagletPath

          public void setTagletPath​(@Nullable
                                    List<File> tagletPath)

    - #### tagletPath

          public StandardJavadocDocletOptions tagletPath​(List<File> tagletPath)

    - #### tagletPath

          public StandardJavadocDocletOptions tagletPath​(File... tagletPath)

    - #### isDocFilesSubDirs

          @Input
          public boolean isDocFilesSubDirs()

      -docfilessubdirs.

    - #### setDocFilesSubDirs

          public void setDocFilesSubDirs​(boolean docFilesSubDirs)

    - #### docFilesSubDirs

          public StandardJavadocDocletOptions docFilesSubDirs​(boolean docFilesSubDirs)

    - #### docFilesSubDirs

          public StandardJavadocDocletOptions docFilesSubDirs()

    - #### getExcludeDocFilesSubDir

          @Nullable
          @Optional
          @Input
          public List<String> getExcludeDocFilesSubDir()

      -excludedocfilessubdir name1:name2...

    - #### setExcludeDocFilesSubDir

          public void setExcludeDocFilesSubDir​(@Nullable
                                               List<String> excludeDocFilesSubDir)

    - #### excludeDocFilesSubDir

          public StandardJavadocDocletOptions excludeDocFilesSubDir​(List<String> excludeDocFilesSubDir)

    - #### excludeDocFilesSubDir

          public StandardJavadocDocletOptions excludeDocFilesSubDir​(String... excludeDocFilesSubDir)

    - #### getNoQualifiers

          @Nullable
          @Optional
          @Input
          public List<String> getNoQualifiers()

      -noqualifier all | packagename1:packagename2:...

    - #### setNoQualifiers

          public void setNoQualifiers​(@Nullable
                                      List<String> noQualifiers)

    - #### noQualifier

          public StandardJavadocDocletOptions noQualifier​(List<String> noQualifiers)

    - #### noQualifiers

          public StandardJavadocDocletOptions noQualifiers​(String... noQualifiers)

    - #### isNoTimestamp

          @Input
          public boolean isNoTimestamp()

    - #### setNoTimestamp

          public void setNoTimestamp​(boolean noTimestamp)

    - #### noTimestamp

          public StandardJavadocDocletOptions noTimestamp​(boolean noTimestamp)

    - #### noTimestamp

          public StandardJavadocDocletOptions noTimestamp()

    - #### isNoComment

          @Input
          public boolean isNoComment()

      -nocomment.

    - #### setNoComment

          public void setNoComment​(boolean noComment)

    - #### noComment

          public StandardJavadocDocletOptions noComment​(boolean noComment)

    - #### noComment

          public StandardJavadocDocletOptions noComment()